/*
//*****************************************************************************
/*
*	@(#) LineAttributes_Info.java
*
*	Project:		Java3dTree
*	Client:		Java 3D Community
*
*	Project Information:
*		dselman@tornadolabs.com
*		http://www.tornadolabs.com
*	
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

package com.tornadolabs.j3dtree;
import javax.media.j3d.*;

public class LineAttributes_Info extends ObjectInfo
{

	private static final int[] 		m_kCapabilityArray = 
												{
													LineAttributes.ALLOW_ANTIALIASING_READ,
													LineAttributes.ALLOW_PATTERN_READ,
													LineAttributes.ALLOW_WIDTH_READ
												};

	public LineAttributes_Info()
	{
	}
	
	java.util.Enumeration getChildren( Object obj )
	{
		return super.getChildren( obj );
	}
	
	public int[] getCapabilityBits()
	{
		return createCompoundArray( m_kCapabilityArray, super.getCapabilityBits() );
	}
	
	public String getInfo( Object obj )
	{
		String szText = super.getInfo( obj );

		szText = insertSectionBreak( szText );
		szText += "Line Attributes\r\n";
		
		LineAttributes lineAttribs = (LineAttributes) obj;
				
		szText += "Antialiasing: " + lineAttribs.getLineAntialiasingEnable() + "\r\n";
		szText += "Pattern: " + lineAttribs.getLinePattern() + "\r\n";
		szText += "Width: " + lineAttribs.getLineWidth() + "\r\n";

		return szText;
	}
}