/*
//*****************************************************************************
/*
*	@(#) LineAttributes_Info.java
*
*	Project:		Java3dTree
*	Client:		Java 3D Community
*
*	Project Information:
*		dselman@tornadolabs.com
*		http://www.tornadolabs.com
*	
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

package com.tornadolabs.j3dtree;
import javax.media.j3d.*;

public class PointAttributes_Info extends ObjectInfo
{

	private static final int[] 		m_kCapabilityArray = 
												{
													PointAttributes.ALLOW_ANTIALIASING_READ,
													PointAttributes.ALLOW_SIZE_READ
												};

	public PointAttributes_Info()
	{
	}
	
	java.util.Enumeration getChildren( Object obj )
	{
		return super.getChildren( obj );
	}
	
	public int[] getCapabilityBits()
	{
		return createCompoundArray( m_kCapabilityArray, super.getCapabilityBits() );
	}
	
	public String getInfo( Object obj )
	{
		String szText = super.getInfo( obj );

		szText = insertSectionBreak( szText );
		szText += "Point Attributes\r\n";
		
		PointAttributes pointAttribs = (PointAttributes) obj;
				
		szText += "Antialiasing: " + pointAttribs.getPointAntialiasingEnable() + "\r\n";
		szText += "Size: " + pointAttribs.getPointSize() + "\r\n";

		return szText;
	}
}